%ifarch %{x8664} %{armv7} %{armv8} aarch64 ppc64
%define		with_criu	1
%endif

%ifarch %{ix86} %{x8664} %{arm} aarch64 mips64 mips64le ppc64 ppc64le s390x
%define		with_man	1
%endif

Summary:	OCI runtime written in C
Name:		crun
Version:	1.0
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	https://github.com/containers/crun/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	21664f3a33653e9b1e32988ae186685e
URL:		https://github.com/containers/crun
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11.2
%{?with_criu:BuildRequires:	criu-devel >= 3.15}
%{?with_man:BuildRequires:	go-md2man}
BuildRequires:	libcap-devel
BuildRequires:	libseccomp-devel
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	rpmbuild(macros) >= 2.007
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yajl-devel >= 2.0.0
%{?with_criu:Requires:	criu-libs >= 3.15}
Requires:	yajl >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
crun is a runtime for running OCI containers.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcrun.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/crun
%{?with_man:%{_mandir}/man1/crun.1*}
%changelog
* Wed Aug 25 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crun.git;a=log;h=master

* Wed Aug 25 2021 Jan Palus <atler@pld-linux.org> ac59a83
- up to 1.0

* Mon Jul 26 2021 Jan Palus <atler@pld-linux.org> 181f9dc
- align arch list with criu.spec

* Mon Jul 26 2021 Jan Palus <atler@pld-linux.org> 939fec3
- up to 0.21

* Wed Jun 09 2021 Jan Palus <atler@pld-linux.org> 574879b
- up to 0.20.1

* Wed Jun 02 2021 Jan Palus <atler@pld-linux.org> 97c04aa
- up to 0.20

* Wed May 26 2021 Jan Palus <atler@pld-linux.org> 708989e
- runtime criu dep only when built with criu

* Wed May 26 2021 Jan Palus <atler@pld-linux.org> 33011dd
- align arch list for criu

* Tue Apr 20 2021 Jan Palus <atler@pld-linux.org> 392ced4
- up to 0.19.1

* Fri Apr 02 2021 Jan Palus <atler@pld-linux.org> fb26c68
- up to 0.19

* Fri Feb 19 2021 Jan Palus <atler@pld-linux.org> 49eeee6
- up to 0.18

* Thu Jan 21 2021 Jan Palus <atler@pld-linux.org> a0befe7
- up to 0.17

* Tue Nov 24 2020 Jan Palus <atler@pld-linux.org> 2e3c5d8
- up to 0.16

* Tue Nov 03 2020 Jan Palus <atler@pld-linux.org> e34f555
- up to 0.15.1

* Wed Sep 23 2020 Jan Palus <atler@pld-linux.org> f32d845
- up to 0.15

* Tue Aug 11 2020 Jan Palus <atler@pld-linux.org> c58391f
- new (version 0.14.1)

